Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2020-07-17 13:52:08

dotcompals
New Member
Registered: 2020-07-17
Posts: 3

My install in down ( old version )

Hi friends,
I have an older version of textpatter installed here https://www.tattamangalam.com/site/
but it is not working now – showing error.
Now How can I regain that site back to life?

The following are the exact errors shown:

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; DB has a deprecated constructor in /home/tattaman/public_html/site/textpattern/lib/txplib_db.php on line 18

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /home/tattaman/public_html/site/textpattern/lib/txplib_db.php:28 Stack trace: #0 /home/tattaman/public_html/site/textpattern/lib/txplib_db.php(44): DB->DB() #1 /home/tattaman/public_html/site/textpattern/publish.php(28): include_once(‘/home/tattaman/…’) #2 /home/tattaman/public_html/site/index.php(27): include(‘/home/tattaman/…’) #3 {main} thrown in /home/tattaman/public_html/site/textpattern/lib/txplib_db.php on line 28

Thank you in advance.

Offline

#2 2020-07-17 14:19:09

etc
Developer
Registered: 2010-11-11
Posts: 3,989
Website

Re: My install in down ( old version )

Hi, welcome (back?) to the forum.

Most probably, your host has switched to php7 incompatible with old txp versions. So you have to

  • either downgrade php to 5.4 (or below)
  • or upgrade txp to 4.8 (but you’d better wait few days for 4.8.2 release).

Hope that helps.

Offline

#3 2020-07-17 14:29:29

gaekwad
Admin
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 3,242

Re: My install in down ( old version )

etc’s advice above is correct – your host has upgraded to a version of PHP that’s too new for the old Textpattern you have running.

You are also running a very old version of Textpattern that is known to have security vulnerabilities, so depending on the complexity of your site you could consider taking a copy of it (files + database), building a virtual machine, and then stepping up to Textpattern 4.2.0, then up to a more recent version.

If you can have your hosting organisation downgrade your PHP, even for a short period of time while you investigate and upgrade, then you may find things come back online, which makes upgrades much more straightforward. Make sure you take backups of your database and files before and after each upgrade step.

If you have plugins, you will find a) they are very likely out of date too, and b) possibly obsolete and no longer required.

Offline

#4 2020-07-17 14:37:09

dotcompals
New Member
Registered: 2020-07-17
Posts: 3

Re: My install in down ( old version )

Thank you etc and gaekwad
I think I can wait for the version 4.8.2 release

cheers

Offline

#5 2020-11-20 13:32:21

dotcompals
New Member
Registered: 2020-07-17
Posts: 3

Re: My install in down ( old version )

Hi, can any of the members can help me to get my site up
http://www.tattamangalam.com/site/

Offline

#6 2020-11-20 16:13:46

Destry
Member
From: Haut-Rhin
Registered: 2004-08-04
Posts: 4,533
Website

Re: My install in down ( old version )

Looks like it’s already up. Now the real work begins. ;)

Offline

Board footer

Powered by FluxBB